Bug 235804 - Review Request: ocaml-SDL - OCaml bindings for SDL
Review Request: ocaml-SDL - OCaml bindings for SDL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Package Reviews List
:
Depends On:
Blocks: 235815
  Show dependency treegraph
 
Reported: 2007-04-10 03:09 EDT by Nigel Jones
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 23:17:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2007-04-10 03:09:24 EDT
Spec URL: http://dev.nigelj.com/SRPMS/ocamlSDL.spec
SRPM URL: http://dev.nigelj.com/SRPMS/ocamlSDL-0.7.2-1.src.rpm
Description:
Runtime (and development) libraries to allow programs written in OCaml to write to SDL (Simple DirectMedia Layer) interfaces.

rpmlint:
ocamlSDL-0.7.2-1.rpm:
W: ocamlSDL ocaml-naming-policy-not-applied /usr/lib/ocaml/stublibs/dllsdlstub.so
(I don't know if an exception can be made here, I can't find much on the problem)
ocamlSDL-devel-0.7.2-1.rpm:
W: ocamlSDL-devel no-documentation
W: ocamlSDL-devel ocaml-naming-policy-not-applied /usr/lib/ocaml/sdl/sdlwm.cmi
(1: docs are in the main package, which is strictly depended on, 2: Ditto about exception)
ocamlSDL-0.7.2-1.src.rpm:
Clean

I believe the files are in the right place etc etc, but I have one note:
One package which depends on this (which I'm putting in for Package Review later today), depends on this for building, but not for use, I'm worried that the libraries are somehow been configured statically, not sure if it's a problem with this package or the other package.
Comment 1 Peter Lemenkov 2007-04-10 15:45:53 EDT
Little note - looks like excessive BuildRequires: I didn't check it but looks
like if you BR SDL_ttf-devel, SDL_mixer-devel and SDL_image-devel then BR
SDL-devel is implies.
Comment 2 Nigel Jones 2007-04-10 17:53:06 EDT
Yeah, thats true, I *thought* it was removed, but obviously not, I think I've
found some other missing BRs tough, so I'm going to check them out and hopefully
put up a -2 srpm soon.
Comment 3 Nigel Jones 2007-04-10 18:41:50 EDT
Spec URL: http://dev.nigelj.com/SRPMS/ocamlSDL.spec
SRPM URL: http://dev.nigelj.com/SRPMS/ocamlSDL-0.7.2-2.src.rpm

Removed SDL-devel, added ocaml
Comment 4 Nigel Jones 2007-04-11 21:56:53 EDT
I've done some more research into the issue with static linking etc etc, and
found out it is the case, I'd like to put this review on hold until I'm at least
sponsored (and can post on fedora-maintainers to get some more information on
the problem and possible solutions).
Comment 5 Mamoru TASAKA 2007-04-15 08:20:58 EDT
Sorry, however, for some reasons, I switch back to nobody@fedoraproject.org.....
Comment 6 Nigel Jones 2007-04-26 07:56:46 EDT
Spec URL: http://dev.nigelj.com/SRPMS/ocamlSDL.spec
SRPM URL: http://dev.nigelj.com/SRPMS/ocamlSDL-0.7.2-3.src.rpm

After a bit of checking on the fedora mailing lists, as the static linking issue
is upstream, I'm confident that this can now go ahead.

As this is a static library, the -devel package now Provides: -static (this was
a recommendation that I found the Fedora mailing lists, I'll try and find a
reference if the reviewer wants).
Comment 7 Nigel Jones 2007-04-28 07:22:15 EDT
Here is the reference I was talking about, I'm doing the package under the
suggestion made at
http://www.redhat.com/archives/fedora-packaging/2006-December/msg00042.html
(point 3.1) I realise this is not official policy, but it seems the best way of
handling the issue.
Comment 8 Hans de Goede 2007-05-02 15:00:50 EDT
Please update this to be inline with the proposed ocaml guidelines I've just
CC-ed you on. This should fix the ocaml naming policy warning.

Notice that I expect the main discussion on this proposal to happen on on
fedora-devel-list which you can join now. Also you can be added to
fedora-maintainers-list before being sponsored, just ask on the devel list.

Last please remove the -static provides, I think this is bogus for caml as this
are not ordinary static libs. Also the guidelines proposal I just send should
explain how / and why freetennis will not require camlSDL / camlimages and why
this is not a problem.
Comment 9 Nigel Jones 2007-05-03 06:06:39 EDT
Spec URL: http://dev.nigelj.com/SRPMS/ocaml-SDL.spec
SRPM URL: http://dev.nigelj.com/SRPMS/ocaml-SDL-0.7.2-4.src.rpm

rpmlint clean!

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 0.7.2-4
- Rename per policy
- Revert -3 changes
- Add htmlref

Same rationale for htmlref as in camlimages, except this time only 46K
Comment 10 Hans de Goede 2007-05-03 08:30:08 EDT
MUST:
=====
* rpmlint output is clean
* Package and spec file named appropriately
* Packaged according to packaging guidelines
* License ok
* spec file is legible and in Am. English.
* Source matches upstream
* Compiles and builds on devel i386
* BR: ok
* No locales
0 No shared libraries, ldconfig not needed
* Not relocatable
* Package owns / or requires all dirs
* No duplicate files & Permissions ok
* %clean & macro usage OK
* Contains code only
* %doc does not affect runtime, and isn't large enough to warrent a sub package
* -devel package as needed
* no .desktop file needed

MUST FIX
========
* Change Source0 from:
http://optusnet.dl.sourceforge.net/sourceforge/ocamlsdl/ocamlsdl-0.7.2.tar.gz
  to the generic sf download url, and use %{version}:
http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
* main package must require ocaml for /usr/lib/ocaml/stublibs dir ownership
* remove the unnecessary ldconfig %post(un) scripts, this are not normally
  libs and since they are not installed in a path searched by ldconfig, calling
  ldconfig is useless.

Should Fix
==========
* Stop the obfuscated double %setup usage, instead of the 2 lines you can just
write: "%setup -q -n ocamlsdl-%{version} -a 1"

* No need to write:
  %dir %{_libdir}/ocaml/sdl

  %{_libdir}/ocaml/sdl/*.*a
  %{_libdir}/ocaml/sdl/*.cmi
  %{_libdir}/ocaml/sdl/*.cmx
  Instead you can just write:
  %{_libdir}/ocaml/sdl
  If there were files there which you wouldn't include with the wildcards,
  then rpmbuild would refuse to build the rpm as there would be files in
  $RPM_BUILD_ROOT, which aren't listed under any %files.

* also please always make all your %files entries like this:
  %files
  %defattr(....)
  %doc ...
  <other files and dirs>
Comment 11 Nigel Jones 2007-05-03 17:09:51 EDT
(In reply to comment #10)
> MUST FIX
> ========
> * Change Source0 from:
> http://optusnet.dl.sourceforge.net/sourceforge/ocamlsdl/ocamlsdl-0.7.2.tar.gz
>   to the generic sf download url, and use %{version}:
> http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
Done
> * main package must require ocaml for /usr/lib/ocaml/stublibs dir ownership
Done
> * remove the unnecessary ldconfig %post(un) scripts, this are not normally
>   libs and since they are not installed in a path searched by ldconfig, calling
>   ldconfig is useless.
True, good point, done
> 
> Should Fix
> ==========
> * Stop the obfuscated double %setup usage, instead of the 2 lines you can just
> write: "%setup -q -n ocamlsdl-%{version} -a 1"
I was fighting that one for a ittle while, thanks
> 
> * No need to write:
>   %dir %{_libdir}/ocaml/sdl
> 
>   %{_libdir}/ocaml/sdl/*.*a
>   %{_libdir}/ocaml/sdl/*.cmi
>   %{_libdir}/ocaml/sdl/*.cmx
>   Instead you can just write:
>   %{_libdir}/ocaml/sdl
>   If there were files there which you wouldn't include with the wildcards,
>   then rpmbuild would refuse to build the rpm as there would be files in
>   $RPM_BUILD_ROOT, which aren't listed under any %files.
Which is handy, because the build won't complete if something changes for the
worst (i.e. more unneeded output, but I see your point)
> 
> * also please always make all your %files entries like this:
>   %files
>   %defattr(....)
>   %doc ...
>   <other files and dirs>
> 
Done

--

Spec URL: http://dev.nigelj.com/SRPMS/ocaml-SDL.spec
SRPM URL: http://dev.nigelj.com/SRPMS/ocaml-SDL-0.7.2-5.src.rpm

In about 10 mins

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-5
- Minor fixups per review

--

I've also added the ocaml dependency as suggested on Bug #235805
Comment 12 Nigel Jones 2007-05-03 17:16:32 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > MUST FIX
> > ========
> > * remove the unnecessary ldconfig %post(un) scripts, this are not normally
> >   libs and since they are not installed in a path searched by ldconfig, calling
> >   ldconfig is useless.
> True, good point, done
While I said done, I omitted it from the srpm, I've removed it from my local
copy, however.  Would you like another upload?
Comment 13 Hans de Goede 2007-05-04 03:00:22 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > (In reply to comment #10)
> > > MUST FIX
> > > ========
> > > * remove the unnecessary ldconfig %post(un) scripts, this are not normally
> > >   libs and since they are not installed in a path searched by ldconfig,
calling
> > >   ldconfig is useless.
> > True, good point, done
> While I said done, I omitted it from the srpm, I've removed it from my local
> copy, however.  Would you like another upload?

No that won't be necessary, I'll trust you to remove this before import or building.

All Must fix items fixed: approved

One should still remaining though, the new recommended (per guideline)
sourceforge download url now a days is:
http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
Notice the downloadSSSSSSS and the removal of /sourceforge/
You might want to change this/

Comment 14 Nigel Jones 2007-05-04 03:38:49 EDT
(In reply to comment #13)
> All Must fix items fixed: approved
Thank you
> 
> One should still remaining though, the new recommended (per guideline)
> sourceforge download url now a days is:
> http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
> Notice the downloadSSSSSSS and the removal of /sourceforge/
> You might want to change this/
Done!


New Package CVS Request
=======================
Package Name:      ocaml-SDL
Short Description: OCaml bindings for SDL
Owners:            dev@nigelj.com
Branches:          FC-6 devel
InitialCC:         <empty>
Comment 15 Nigel Jones 2007-05-04 08:08:37 EDT
Builds on FC-6, dependencies required for ppc64 on devel
Comment 16 Nigel Jones 2007-05-04 17:03:55 EDT
For lack of a better place...

ocaml-SDL needs: 'lablgl' 'SDL_image-devel' 'SDL_ttf-devel' 'ocaml'
'SDL_mixer-devel' + their dependencies on ppc64

See:
http://koji.fedoraproject.org/koji/getfile?taskID=2189&name=root.log
http://koji.fedoraproject.org/koji/taskinfo?taskID=2189
Comment 17 Peter Lemenkov 2007-05-06 02:14:22 EDT
Nigel, please fill a new bug describing that problem and close this one.
Comment 18 Nigel Jones 2007-05-06 02:26:34 EDT
(In reply to comment #17)
> Nigel, please fill a new bug describing that problem and close this one.
There is no place to put it, well, not until the cvs/bugzilla sync starts again
Comment 19 Nigel Jones 2007-05-08 23:17:27 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Nigel, please fill a new bug describing that problem and close this one.
> There is no place to put it, well, not until the cvs/bugzilla sync starts again

Okay, it's changed to an ExcludeArch, until at least ocaml can be updated.

Bug #239517 is the one to see, but ocaml-SDL is built in FC6 and F7 so closing!

Note You need to log in before you can comment on or make changes to this bug.